Debian Bug report logs - #298369
O: styx -- combined parser/scanner generator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 7 Mar 2005 01:48:03 UTC

Severity: normal

Fixed in version styx/1.7-1

Done: Frederik Schüler <fs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Siggy Brentrup <bsb@debian.org>, <wnpp@debian.org>:
Bug#298369; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Siggy Brentrup <bsb@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: styx -- combined parser/scanner generator documentation
Date: Mon, 07 Mar 2005 02:44:04 +0100
Package: wnpp
Severity: normal

The current maintainer of styx, Siggy Brentrup <bsb@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: styx
Binary: styx-dev, libxstyx, styx, libdstyx, styx-doc
Version: 1.6.1-1
Priority: optional
Section: devel
Maintainer: Siggy Brentrup <bsb@debian.org>
Build-Depends: debhelper (>= 4), automake1.4, autoconf, docbook-to-man
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/s/styx
Files: aa02dd7eb21a4b8c0660babf2b6c40ab 560 styx_1.6.1-1.dsc
 99a374d045d93e3797c11d8b9622041e 1043364 styx_1.6.1-1.tar.gz

Package: libdstyx
Priority: optional
Section: libs
Installed-Size: 325
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: i386
Source: styx
Version: 1.6.1-1
Depends: libc6 (>= 2.3.2.ds1-4)
Filename: pool/main/s/styx/libdstyx_1.6.1-1_i386.deb
Size: 120074
MD5sum: 2a25dcfd3c54d36685b6d96ad83a97cd
Description: core runtime library for styx
 Dynamically linked programs containing lexical scanners or parsers
 developed with styx depend on this library.
 .
 It implements abstract grammar, LALR(1) parser and lexical scanner
 interfaces, hashed symbol tables and supporting data types.

Package: libxstyx
Priority: optional
Section: libs
Installed-Size: 241
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: i386
Source: styx
Version: 1.6.1-1
Depends: libc6 (>= 2.3.2.ds1-4), libdstyx (>= 1.6)
Filename: pool/main/s/styx/libxstyx_1.6.1-1_i386.deb
Size: 93600
MD5sum: 702e5d9ea67e6eb959f3a378763db4de
Description: runtime library for styx
 This library contains the implementation of the styx parser/scanner
 generator proper.
 .
 Applications using styx's advanced features (e.g. operating on
 grammars at runtime) must link against this library.

Package: styx
Priority: optional
Section: devel
Installed-Size: 130
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: i386
Version: 1.6.1-1
Depends: libc6 (>= 2.3.2.ds1-4), libdstyx (>= 1.6), libxstyx (>= 1.6)
Recommends: styx-dev (= 1.6.1-1)
Suggests: styx-doc (= 1.6.1-1)
Filename: pool/main/s/styx/styx_1.6.1-1_i386.deb
Size: 53316
MD5sum: 11335f985ec1ce29be94f061322e3da9
Description: combined parser/scanner generator
 The package facilitates application development including
 user-defined context free languages.
 .
 It's development model deviates from the traditional lex/yacc pair
 (flex/bison in Debian) by automating tedious tasks which are
 commonly implemented in yacc's actions.
 .
 Styx automatically derives a depth grammar, generates reentrant
 parsers that support persistent derivation trees, preserve full
 source information, support Unicode and are thread safe.

Package: styx-dev
Priority: optional
Section: devel
Installed-Size: 1024
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: i386
Source: styx
Version: 1.6.1-1
Depends: styx (= 1.6.1-1)
Suggests: styx-doc (= 1.6.1-1)
Filename: pool/main/s/styx/styx-dev_1.6.1-1_i386.deb
Size: 294154
MD5sum: a6167671627ae6bc53f420e09835104e
Description: combined parser/scanner generator development files
 Static libraries and headers needed for development with styx.
 .
 cf. styx for features.

Package: styx-doc
Priority: optional
Section: doc
Installed-Size: 1286
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: all
Source: styx
Version: 1.6.1-1
Filename: pool/main/s/styx/styx-doc_1.6.1-1_all.deb
Size: 246558
MD5sum: c74b3933171ee8359e986b25dd150560
Description: combined parser/scanner generator documentation
 "The Styx Handbook" describes application development with styx and
 contains HTML reference documentation for the styx API.
 .
 Contains a full blown example showing how to build an XML parser
 with styx.
 .
 cf. styx for features.

Justification: No activity since june 2004, doesn't respond to pings



Changed Bug title. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Frederik Schueler <fs@lowpingbastards.de>. Request was from Frederik Schueler <fs@lowpingbastards.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#298369; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>, 298369@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #14 received at 298369-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Frederik Schueler <fs@lowpingbastards.de>
Cc: 298369-quiet@bugs.debian.org
Subject: Bug#298369: ITA: styx -- combined parser/scanner generator
Date: Mon, 15 Aug 2005 20:20:13 +0200
On Tue, Mar 29, 2005 at 11:12:03PM +0200, Frederik Schueler wrote:
> retitle 298369 ITA: styx -- combined parser/scanner generator
> owner 298369 Frederik Schueler <fs@lowpingbastards.de>
> thanks
> 
> Hello,
> 
> I intend to adopt styx. 
> I am already working on packaging the new upstream release.

Do you still intend to adopt it?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Frederik Schueler <fs@lowpingbastards.de>:
Bug#298369; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Frederik Schueler <fs@lowpingbastards.de>. Full text and rfc822 format available.

Message #19 received at 298369@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Frederik Schueler <fs@lowpingbastards.de>
Cc: control@bugs.debian.org, 298369@bugs.debian.org
Subject: Re: Bug#298369: ITA: styx -- combined parser/scanner generator
Date: Sun, 4 Sep 2005 18:14:38 +0200
retitle 298369 O: styx -- combined parser/scanner generator
noowner 298369
thanks

On Mon, Aug 15, 2005 at 08:20:13PM +0200, Matej Vela wrote:
> On Tue, Mar 29, 2005 at 11:12:03PM +0200, Frederik Schueler wrote:
> [...]
> > I intend to adopt styx. 
> > I am already working on packaging the new upstream release.
> 
> Do you still intend to adopt it?  (This is just a ping, I'm not
> interested in adopting it myself.)

I haven't heard back from you, so I assume you are no longer interested.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Frederik Schueler <fs@lowpingbastards.de>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frederik Schüler <fs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 298369-close@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: 298369-close@bugs.debian.org
Subject: Bug#298369: fixed in styx 1.7-1
Date: Sat, 19 Nov 2005 15:32:30 -0800
Source: styx
Source-Version: 1.7-1

We believe that the bug you reported is fixed in the latest version of
styx, which is due to be installed in the Debian FTP archive:

libstyx2_1.7-1_i386.deb
  to pool/main/s/styx/libstyx2_1.7-1_i386.deb
styx-dev_1.7-1_i386.deb
  to pool/main/s/styx/styx-dev_1.7-1_i386.deb
styx-doc_1.7-1_all.deb
  to pool/main/s/styx/styx-doc_1.7-1_all.deb
styx_1.7-1.diff.gz
  to pool/main/s/styx/styx_1.7-1.diff.gz
styx_1.7-1.dsc
  to pool/main/s/styx/styx_1.7-1.dsc
styx_1.7-1_i386.deb
  to pool/main/s/styx/styx_1.7-1_i386.deb
styx_1.7.orig.tar.gz
  to pool/main/s/styx/styx_1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298369@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frederik Schüler <fs@debian.org> (supplier of updated styx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 19 Nov 2005 22:26:05 +0100
Source: styx
Binary: styx-dev styx-doc libstyx2 styx
Architecture: source all i386
Version: 1.7-1
Distribution: unstable
Urgency: low
Maintainer: Frederik Schüler <fs@debian.org>
Changed-By: Frederik Schüler <fs@debian.org>
Description: 
 libstyx2   - runtime libraries for styx
 styx       - combined parser/scanner generator for C/C++
 styx-dev   - combined parser/scanner generator development files
 styx-doc   - combined parser/scanner generator documentation
Closes: 298369
Changes: 
 styx (1.7-1) unstable; urgency=low
 .
   * New Maintainer. Closes: #298369
   * New upstream version.
   * Added lintian override for libstyx2.
Files: 
 4deba909d963dca6f39fe889bb78f6a3 611 devel optional styx_1.7-1.dsc
 31287a9b338216af01edf6e9657de96b 2022064 devel optional styx_1.7.orig.tar.gz
 47213cb59802dc908bcb7595cdea4d96 7344 devel optional styx_1.7-1.diff.gz
 ef47b8574c6fb9b7d84b5d11c0e7eff8 266332 doc optional styx-doc_1.7-1_all.deb
 bcbbb6bf0b735e40611d067c404eda4d 53442 devel optional styx_1.7-1_i386.deb
 09a1d7176b2b92edafc31e4f78a08e2d 222458 libs optional libstyx2_1.7-1_i386.deb
 4765fc9ba7f5cb386b9d7175670565ea 309350 devel optional styx-dev_1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDf7Kx6n7So0GVSSARAsIPAJ9BOlTRtRuH8j2tuPPd03pxuaYRgwCfYyPb
nDb6t3qHO6nbN/HzxKZhv+c=
=Z59y
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:56:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:38:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.